// VB Default library
// Virtual-E (c) 2000 <virtuale98@yahoo.com>
// Coded by Alberto Covarrubias
// Modified by Amos Bieler

#ifndef _VBHW_H_
#define _VBHW_H_

#include "vbtypes.h"

HWORD vbReadPad();
void vbSetColTable();
void vbReset();
void vbDisplayOn();
void vbDisplayOff();
void vbWaitFrame(int count);
void vbSetWorld(int nw, HWORD header, HWORD gx, HWORD gp, HWORD gy, HWORD mx, HWORD mp, HWORD my, HWORD width, HWORD height);
void vbFXFadeIn();
void vbFXFadeIn();
void* memcpy(void* dest, const void* src, int count);
void* memset(void* dest, int c, int count);

//***** vbSetWorld header flags *****// (OR these together to build a World Header)
#define	WRLD_LON	0x8000
#define	WRLD_RON	0x4000
#define	WRLD_BGMAP	0
#define	WRLD_HBIAS	0x1000
#define	WRLD_AFFINE	0x2000
#define	WRLD_OBJ	0x3000

#define	WRLD_1x1	0
#define	WRLD_1x2	0x100
#define	WRLD_1x4	0x200
#define	WRLD_1x8	0x300
#define	WRLD_2x1	0x400
#define	WRLD_2x2	0x500
#define	WRLD_2x4	0x600
#define	WRLD_4x2	0x900
#define	WRLD_4x1	0x800
#define	WRLD_8x1	0xC00

#define	WRLD_OVR	0x80
#define	WRLD_END	0x40

#endif
